/**
  @file Mocap/main.cpp

  @author Morgan McGuire, matrix@graphics3d.com
 */

//#include "dojo/dojo.h"
//#include "ui/ui.h"
//#include "dojo/physicsunits.h"
#include "GUIApp.h"
#include <time.h>

#ifdef G3D_WIN32
// For chdir
#	include <direct.h>
#endif


using namespace dojo;

int main(int argc, char** argv) {

	srand(time(NULL));
    
	if (! fileExists("grid.png")) {
		// For running under visual studio
		_chdir("../../build");
	}

    alwaysAssertM(fileExists("grid.png"),
        "Project cannot find its data files.");
    
	GUIApp* app = new GUIApp();
	app->OnInit();

    return 0;
}



